Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_OPERATION

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.BAD_OPERATION

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class BAD_OPERATION
extends SystemException

This indicates that an object reference denotes an existing object, but that the object does not support the operation that was invoked.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_OPERATION()`
`BAD_OPERATION(int minor, CompletionStatus completed)`
`BAD_OPERATION(java.lang.String orb_reason)`
`BAD_OPERATION(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_OPERATION

    public BAD_OPERATION()

### BAD_OPERATION

    public BAD_OPERATION(java.lang.String orb_reason)

### BAD_OPERATION

    public BAD_OPERATION(int minor,
                         CompletionStatus completed)

### BAD_OPERATION

    public BAD_OPERATION(java.lang.String orb_reason,
                         int minor,
                         CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD